package tests;

import boggle.Player;
import boggle.PlayerHuman;
import junit.framework.TestCase;

public class PlayerTest extends TestCase {

	/**
	 * Teste du nom du joueur.
	 */
	public void testGetName() {
		Player p = new PlayerHuman("Assange", null);

		assertEquals(p.getName(), "Assange");
	}

	/**
	 * Teste de l'ajout d'un mot.
	 */
	public void testAddWord() {
		Player p = new PlayerHuman("Assange", null);

		assertFalse(p.getWords().containsKey("wiki"));
		
		p.addWord("JULIAN");
		p.addWord("WIKI");
		p.addWord("LEAKS");
		
		assertTrue(p.getWords().containsKey("wiki"));
	}

	/**
	 * Test de la recuperation des mots
	 */
	public void testGetWords() {
		Player p = new PlayerHuman("Assange", null);
		
		p.addWord("JULIAN");
		
		assertEquals(p.getWords().size(), 1);
	}
}